twitter4j.auth

## Class OAuth2Token

- java.lang.Object
- - twitter4j.auth.OAuth2Token

All Implemented Interfaces:
  Serializable

    public class OAuth2Token
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`OAuth2Token(String tokenType, String accessToken)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`String` `getAccessToken()`
`String` `getTokenType()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OAuth2Token

    public OAuth2Token(String tokenType,
                       String accessToken)

### Method Detail

#### getTokenType

    public String getTokenType()

#### getAccessToken

    public String getAccessToken()

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`